/*
Theme Name: Iknow Child
Theme URI: https://wow-company.com/wp-theme-iknow/
Template: iknow
Author: Wow-Company
Author URI: https://wow-company.com
Description: Introducing the Iknow WordPress Theme - the epitome of minimalism and mobile-friendly design. This lightweight and speedy theme is tailor-made for Knowledge Bases, Helpdesks, Wikis, and FAQ platforms. Personalize your website with custom icons for categories and tags. Organize how categories appear on your homepage with ease. Engage users with our integrated post rating system, VoteUp/VoteDown. Breadcrumbs ensure seamless navigation. Plus, our custom widget keeps users oriented whether they're in a category or an individual post. Experience the theme's aesthetics and functionalities firsthand at [theme demo website](https://themes.wow-company.com/iknow/). For guidance, consult our comprehensive [documentation](https://wow-company.com/faq/category/wow-themes/iknow/).
Tags: blog,education,entertainment,two-columns,right-sidebar,custom-logo,custom-menu,featured-images,theme-options,threaded-comments,translation-ready
Version: 1.3.1778125504
Updated: 2026-05-07 12:45:04

*/

/* START ORIGINAL CUSTOM R-TSUCHIYA */

/* content-archiveスタイル */
.archive-title {
    font-size: 1.1rem;
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
}
.archive-title a:hover{
    text-decoration: underline;
}
.archive-category {
    margin-left: 10px;
}
.archive-category a:hover{
    text-decoration: underline;
}
.archive-excerpt {
    font-size: 0.9rem;
    margin-top: 1rem;
    margin-bottom: 1rem;  
    overflow-wrap: break-word;
    word-break: break-word;
}
.archive-readmore a:hover{
    text-decoration: underline;
}

/* END ORIGINAL CUSTOM R-TSUCHIYA */

/* START THEME COMMON CUSTOM R-TSUCHIYA */
/* ボディ背景色 */
body {
    background-color: #fff;
}

/* タイトルの色 */
.hero.is-primary {
    background-color: #5a595e;
    color: #fff;
}
.hero.is-primary.is-bold {
    background-image: none;
}

/* ボタンの色 */
.button.is-primary {
	background-color: #a58c88;
}
.button.is-primary:hover, .button.is-primary.is-hovered {
	background-color: #e99787;
}
.button.is-primary:focus:not(:active), .button.is-primary.is-focused:not(:active) {
	box-shadow: 0 0 0 0.125em rgba(165, 140, 136, 0.25);
}
.button.is-primary:active, .button.is-primary.is-active {
	background-color: #e99787;
	border-color: transparent;
	color: #fff;
}
.button.is-primary[disabled], fieldset[disabled] .button.is-primary {
	background-color: #a58c88;
}
.button.is-primary.is-outlined {
	border-color: #a58c88;
	color: #a58c88;
}
.button.is-primary.is-outlined:hover, .button.is-primary.is-outlined.is-hovered, .button.is-primary.is-outlined:focus, .button.is-primary.is-outlined.is-focused {
	background-color: #a58c88;
	border-color: #a58c88;
}
.button.is-primary.is-outlined.is-loading::after {
	border-color: transparent transparent #a58c88 #a58c88 !important;
}
.button.is-info {
    background-color: #5a595e;
    border-color: transparent;
    color: #fff;
}
.button.is-info:hover, .button.is-info.is-hovered {
    background-color: #a58c88;
    border-color: transparent;
    color: #fff;
}
.button.is-info[disabled] {
    background-color: #555;
    border-color: #fff;
}
.button.is-info.is-outlined {
    background-color: transparent;
    border-color: #5a595e;
    color: #5a595e;
}
.button.is-info.is-outlined:hover, .button.is-info.is-hovered {
    background-color: #5a595e;
    border-color: transparent;
    color: #fff;
}
.button.is-info:focus:not(:active), .button.is-info.is-focused:not(:active) {
	box-shadow: 0 0 0 0.125em rgba(165, 140, 136, 0.25);
}
.button.is-danger {
    background-color: #a33137;
    border-color: transparent;
    color: #fff;
}
.button.is-danger:hover, .button.is-danger.is-hovered {
    background-color: #6a2023;
    border-color: transparent;
    color: #fff;
}

/* テキスト色調整 */
.has-text-success {
    color: #a58c88 !important;
}

/* パネルの色調整 */
.panel {
    background-color: #fff;
}
.panel.is-dark .panel-heading {
    background-color: #a58c88;
    color: #fff;
    margin-bottom: 0.5rem;
}
.panel-heading:hover {
    opacity: 0.9;
}
.panel-block {
    color: #5a595e;
}

/* aタグの色調整 */
a {
    color: #5a595e;
}
a:hover {
    color: #a58c88;
}
.card-content a:hover {
    color: #a58c88;
    text-decoration: underline;
}
.breadcrumb a {
    color: #5a595e;
}
.breadcrumb a:hover {
    color: #a58c88;
    text-decoration: underline;
}

/* 右カラム（サイドバー）を非表示 */
.columns.is-desktop > .column:last-child {
  display: none !important;
}

/* 左カラムを全幅に */
.columns.is-desktop > .column:first-child {
  width: 100% !important;
  flex: none !important;
}

/* コメント数非表示 */
.comment-number {
  display: none !important;
}
.single .level-right .level-item a[href="#respond"] {
  display: none;
}
.box .table thead th:last-child,
.box .table tbody td:last-child {
  display: none;
}

/* 全セルにボーダー */
.content table td,
.content table th {
  border: 1px solid #ddd;
}

/* 最下行も表示 */
.content table tbody tr:last-child td,
.content table tbody tr:last-child th {
  border-bottom: 1px solid #ddd !important;
}

/* ホームパネルの全て表示ボタン */
.panel-block .button {
    font-size: 0.9rem;
}

/* ホームパネルの最後の投稿の下線非表示 */
.panel .panel-block:last-of-type {
    border-bottom: none;
}

/* ボタンがないパネルの最後の投稿に余白 */
.panel:not(:has(.panel-block-button)) {
    padding-bottom: 0.5rem;
}
/* ボタンがあるパネルだけ、ボタンの下に余白 */
.panel:has(.panel-block-button) .panel-block-button {
    padding-bottom: 0.8rem;
}

/* 並び替え（左のselect）だけ非表示 */
/* 左の「newest」セレクトを丸ごと消す */
form#order .level-item:first-child {
    display: none !important;
}

/* ページ内コンテンツマップ */
#toc_container.toc_light_blue {
    background: #f7f7f7;
}

/* モーダル内ボタンの右寄せ */
.modal-card-foot {
    justify-content: flex-end;
}

/* セレクトボックスの色調整 */
.select.is-primary:not(:hover)::after {
	border-color: #5a595e;
}
.select.is-primary select {
	border-color: #5a595e;
}
.select.is-primary select:hover, .select.is-primary select.is-hovered {
	border-color: #5a595e;
}
.select.is-primary select:focus, .select.is-primary select.is-focused, .select.is-primary select:active, .select.is-primary select.is-active {
	box-shadow: 0 0 0 0.125em rgba(90, 89, 94, 0.25);
}

/* パンくずのマージン調整 */
.breadcrumbs-wrapper > .level:not(:last-child) {
    margin-bottom: 0;
}
.breadcrumbs-wrapper > .level:last-of-type {
    margin-bottom: 20px !important;
}

/* ナビバータイトル調整 */
.navbar-item {
  color: #5a595e !important;
}
.navbar-start > a.menu-item span {
    position: relative;
}
.navbar-start > a.menu-item span::after {
    content: "";
    position: absolute;
    left: 50%;
    right: 50%;
    bottom: -4px;
    height: 1px;
    background: currentColor;
    opacity: 0;
    transition: all .22s ease;
}
.navbar-start > a.menu-item:hover span::after {
    left: 0;
    right: 0;
    opacity: 1;
}
a.navbar-item:hover,
a.navbar-item:focus {
    background: transparent !important;
}
@media screen and (min-width: 1024px) {
    .navbar-menu {
        display: flex;
        align-items: flex-end !important;
    }
    .navbar-end {
        display: flex;
        align-items: flex-end !important;
    }
    .navbar-brand {
        display: flex;
        align-items: flex-end !important;
        min-height: unset !important;
    }
    .navbar-brand .navbar-item {
        display: flex;
        align-items: flex-end !important;
        font-size: 2rem;
        font-weight: bold;
    }
    .navbar.is-spaced .navbar-start, .navbar.is-spaced .navbar-end {
        font-size: 0.9rem;
    }
    .header-user {
        width: 100%;
        text-align: right;
        padding-right: 0.75rem;
    }
}
@media screen and (max-width: 1023px){
    .header-user {
        display: none;
    }
    .brand-description {
        display: none;
    }
    .navbar-brand .navbar-item {
        font-size: 1.5rem;
        font-weight: bold;
    }
    .navbar-brand {
        align-items: center !important;
    }
}

/* スマホ用ブルーバック消去 */
a {
    -webkit-tap-highlight-color: rgba(0,0,0,0.1);
}

/* ページボタン */
.page-numbers {
    color: #5a595e;
}
.page-numbers.current {
    background-color: #5a595e;
    border-color: #5a595e;
}

/* フッター最新リンクの色調整 */
footer .wp-block-latest-posts a:hover {
    text-decoration: underline;
}

/* サイトマップスタイル変更 */
/* 丸消す */
.content ul,
.content ul li {
    list-style: none !important;
}
/* 大カテゴリ */
.wsp-category-title {
    display: block;
    font-weight: bold;
    padding-bottom: 5px;
    border-bottom: 1px dotted #ccc;
    margin-bottom: 8px;
}
/* リスト */
.wsp-posts-list li {
    position: relative;
    padding-left: 20px;
}
.wsp-posts-list li a:hover {
    text-decoration: underline;
}
/* 1階層（caret-square-right） */
.wsp-posts-list li::before {
    content: "\f152";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    position: absolute;
    left: 0;
    top: 3px;
    color: #5a595e;
    font-size: 12px;
}
/* 2階層（angle-right） */
.wsp-posts-list > li > ul > li::before {
    content: "\f101";
}
/* 3階層（angle-double-right） */
.wsp-posts-list > li > ul > li > ul > li::before {
    content: "\f105";
}

/* 右寄せ */
.has-text-right {
    text-align: right !important;
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-end;
    gap: 8px;
}

/* ログインフォーム */
#wpmem_restricted_msg {
    text-align: center;
}
/* 全体カード風 */
#wpmem_login {
    max-width: 500px;
    margin: 0 auto;
    padding: 10px 50px;
    background: #f7f7f7;
    margin-bottom: 50px;
}
@media(max-width:767px) {
    #wpmem_login {
        min-width: 100%;
        padding: 30px;
        background: #f7f7f7;
        margin-bottom: 50px;
    }
}
#wpmem_login legend, #wpmem_reg legend {
    margin-bottom: 30px !important;
}
/* 入力欄 */
#wpmem_login input[type="text"],
#wpmem_login input[type="password"] {
    width: 100%;
    padding: 10px;
    border: 1px solid #ddd;
    border-radius: 3px;
}
/* ログインボタン */
#wpmem_login input[type="submit"] {
    width: 100%;
    background: #a58c88;
    color: #fff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    padding: 8px 15px 8px 15px;
    margin-top: 40px;
}
/* ホバー */
#wpmem_login input[type="submit"]:hover {
    background: #5a595e;
}
/* ログインエラー */
.wpmem_msg {
    background: none !important;
    border: none !important;
    padding: 0px !important;
    margin-bottom: 20px;
    text-align: center;
    margin: 0 auto 20px !important;
    color: #dc3545;
}
.wpmem_msg p {
    margin: 0 !important;
}

/* インプットのフォーカス時の色調整 */
.input:focus {
    border-color: #5a595e;
    box-shadow: 0 0 0 0.125em rgba(90, 89, 94, 0.25);
}

/* サイトマップのリスト調整 */
@media (max-width: 767px) {
  .page-id-127 .wsp-posts-list {
    margin-left: 0;
    padding-left: 0;
  }
}

/* コメントテキストエリアの調整 */
#commentform textarea {
    border: 1px solid #ddd;
    box-shadow: none;
}
#commentform textarea.textarea:focus {
    border-color: #5a595e !important;
    box-shadow: none !important;
    outline: none;
}
#commentform textarea:hover {
    border-color: #ddd;
}

/* コメントキャンセルボタン */
#cancel-comment-reply-link {
    color: #a33137;
    border: 1px solid #a33137;
    background-color: #fff;
}
#cancel-comment-reply-link:hover,
#cancel-comment-reply-link:focus,
#cancel-comment-reply-link:active {
    color: #fff;
    border-color: #a33137;
    background-color: #a33137;
    box-shadow: none;
}

/* コンテント内の改行 */
.content a
.content p {
    overflow-wrap: anywhere;
    word-break: break-word;
}
/* END THEME COMMON CUSTOM R-TSUCHIYA */